Subject: bug#78561: [PATCH] Add semantic linefeed support for paragraph filling

From: Stefan Monnier <[email-masked]>
Date: Sat, 21 Jun 2025 11:17:15 -0400

> I think that `fill-region-as-paragraph-function' is a step in the right
> direction. What is left is handling `use-hard-newlines'. Currently, Org
> mode ignores it as the concept of hard newlines is not compatible with
> Org mode syntax and its notion of paragraphs. So, we probably need to
> have a way to bypass that branch in `fill-paragraph' or find some way to
> handle hard newlines that is compatible with Org mode and then Emacs
> introduce a new customization for Org to plug into.

I don't understand: `use-hard-newlines` is nil by default and org mode
doesn't seem to set it, so those users who set it ... get what they deserve?

        Stefan